      subroutine iraf_warning()
C
C Description
C
C This routine produces a warning message if the -ps or -fl switches
C are present in the command line.
C
C Programming interface:
C
C None
C
C Errors:
C
C No errors should occur. No errors are trapped.
C
C Routines accessed:
C
C find_arg
C stat_msg
C

      implicit none
      character*64 arg,find_arg
      arg=find_arg('-ps')
      if (arg .ne. ' ') then
         call stat_msg('command_line',
     $        'The -ps switch has no meaning if IRAF output '//
     $        'is not selected. Ignoring the switch.')
      end if
      arg=find_arg('-fl')
      if (arg .ne. ' ') then
         call stat_msg('command_line',
     $        'The -fl switch has no meaning if IRAF output '//
     $        'is not selected. Ignoring the switch.')
      end if
      return
      end
